Skip to main content
POST
/
v1
/
agents
/
{agentId}
/
deployments
/
{deploymentId}
/
promote
Promote a deployment to the next environment
curl --request POST \
  --url https://api.us.poly.ai/v1/agents/{agentId}/deployments/{deploymentId}/promote \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "deploymentMessage": ""
}
'
import requests

url = "https://api.us.poly.ai/v1/agents/{agentId}/deployments/{deploymentId}/promote"

payload = { "deploymentMessage": "" }
headers = {
    "X-API-KEY": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({deploymentMessage: ''})
};

fetch('https://api.us.poly.ai/v1/agents/{agentId}/deployments/{deploymentId}/promote', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "deployment": {
    "id": "<string>",
    "accountId": "<string>",
    "agentId": "<string>",
    "environment": "<string>",
    "artifactVersion": "<string>",
    "version": "<string>",
    "createdBy": "<string>",
    "createdAt": "<string>",
    "metadata": {}
  },
  "testRunIds": [
    "<string>"
  ]
}
{
  "success": false,
  "error": "Deployment ID does not exist.",
  "error_id": "550e8400-e29b-41d4-a716-446655440000",
  "error_code": "DEPLOYMENT_NOT_FOUND",
  "error_message": "Deployment ID does not exist.",
  "data": null
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

agentId
string
required
deploymentId
string
required

Body

application/json
deploymentMessage
string
default:""
targetEnvironment
enum<string>
Available options:
pre-release,
live

Response

Promoted deployment with triggered test run IDs

deployment
object
required
testRunIds
string[]
required
Last modified on April 22, 2026